%% Used to calculte Bn and print them in 1D

close all;
clear;

% coeffs = [\sigma, \lambda0, \lambda1, \epsilon0, \epsilon1]
coeffs = [1, 2.5, 4, 1, 1];
T = 0.2;

f0 = exp(coeffs(4)/T)-1;
f1 = exp(-coeffs(5)/T)-1;
coeffs(4) = f0;
coeffs(5) = f1;

b2 = second_virial_d(coeffs, 1);
b3 = third_virial_d(coeffs, 1);
x1 = fourth_virial1(coeffs);
x2 = fourth_virial2(coeffs);
%x3 = ???; % third term in B4 from other methods

fprintf('B2 = %f\n',b2);
fprintf('B3 = %f\n',b3);
fprintf('B4_1 = %f\n',x1);
fprintf('B4_2 = %f\n',x2);
%fprintf('B4_3 = %f\n',x3);
%fprintf('B4 = %f\n',x1+x2+x3);