function b4_1 = fourth_virial1_3d(coeffs)
%fourth virial coefficient, the second part.
%  coeffs=[\sigma,\lambda0,\lambda1,f0,f1]
    sigma = coeffs(1);
    r0 = coeffs(2);
    r1 = coeffs(3);
    f0 = coeffs(4);
    f1 = coeffs(5);

% Main coefficient
    c = -3/8 * 4 * pi * (2*pi)^3 * sigma^(3*3);

    c1 = (1+f0)^4 + (f0-f1)^4*r0^(3*3) + f1^4*r1^(3*3);
    a1 = 68/(2835*pi);
    
    c2 = -4 * (1+f0)^3 * (f0-f1) * r0^(3/2);
    a2 = (1/1451520).*pi.^(-1).*r0.^(-3/2).*((-9072).*r0.*(1+r0).^5+1512.*( ...
  1+r0).^6+1512.*r0.*(1+r0).^6+(-216).*(1+r0).^7+216.*r0.*(1+r0).^7+ ...
  (-27).*(1+r0).^8+(-27).*r0.*(1+r0).^8+3.*(1+r0).^9+(-3024).*r0.*( ...
  3+r0).^5+504.*(3+r0).^6+1512.*r0.*(3+r0).^6+(-216).*(3+r0).^7+( ...
  -216).*r0.*(3+r0).^7+27.*(3+r0).^8+9.*r0.*(3+r0).^8+(-1).*(3+r0) ...
  .^9+(-3024).*r0.*abs((-3)+r0).^5+216.*abs((-3)+r0).^7+(-216).*r0.* ...
  abs((-3)+r0).^7+abs((-3)+r0).^9+(-9072).*r0.*abs((-1)+r0).^5+216.* ...
  abs((-1)+r0).^7+216.*r0.*abs((-1)+r0).^7+(-3).*abs((-1)+r0).^9+( ...
  -1512).*((-1)+r0).^6.*sign(1+(-1).*r0)+27.*((-1)+r0).^8.*sign(1+( ...
  -1).*r0)+1512.*((-1)+r0).^6.*r0.*sign(1+(-1).*r0)+(-27).*((-1)+r0) ...
  .^8.*r0.*sign(1+(-1).*r0)+(-504).*((-3)+r0).^6.*sign(3+(-1).*r0)+( ...
  -27).*((-3)+r0).^8.*sign(3+(-1).*r0)+1512.*((-3)+r0).^6.*r0.*sign( ...
  3+(-1).*r0)+9.*((-3)+r0).^8.*r0.*sign(3+(-1).*r0));
    
    c3 = -4 * (1+f0)^3 * f1 * r1^(3/2);
    a3 = (1/1451520).*pi.^(-1).*r1.^(-3/2).*((-9072).*r1.*(1+r1).^5+1512.*( ...
  1+r1).^6+1512.*r1.*(1+r1).^6+(-216).*(1+r1).^7+216.*r1.*(1+r1).^7+ ...
  (-27).*(1+r1).^8+(-27).*r1.*(1+r1).^8+3.*(1+r1).^9+(-3024).*r1.*( ...
  3+r1).^5+504.*(3+r1).^6+1512.*r1.*(3+r1).^6+(-216).*(3+r1).^7+( ...
  -216).*r1.*(3+r1).^7+27.*(3+r1).^8+9.*r1.*(3+r1).^8+(-1).*(3+r1) ...
  .^9+(-3024).*r1.*abs((-3)+r1).^5+216.*abs((-3)+r1).^7+(-216).*r1.* ...
  abs((-3)+r1).^7+abs((-3)+r1).^9+(-9072).*r1.*abs((-1)+r1).^5+216.* ...
  abs((-1)+r1).^7+216.*r1.*abs((-1)+r1).^7+(-3).*abs((-1)+r1).^9+( ...
  -1512).*((-1)+r1).^6.*sign(1+(-1).*r1)+27.*((-1)+r1).^8.*sign(1+( ...
  -1).*r1)+1512.*((-1)+r1).^6.*r1.*sign(1+(-1).*r1)+(-27).*((-1)+r1) ...
  .^8.*r1.*sign(1+(-1).*r1)+(-504).*((-3)+r1).^6.*sign(3+(-1).*r1)+( ...
  -27).*((-3)+r1).^8.*sign(3+(-1).*r1)+1512.*((-3)+r1).^6.*r1.*sign( ...
  3+(-1).*r1)+9.*((-3)+r1).^8.*r1.*sign(3+(-1).*r1));
    
    c4 = -4 * (1+f0) * (f0-f1)^3 * r0^(3/2*3);
    a4 = (1/1451520).*pi.^(-1).*r0.^(-9/2).*((-16)+1296.*r0.^2+(-9072).* ...
  r0.^4+25200.*r0.^6+53760.*r0.^9+(-3024).*r0.^3.*abs(1+(-3).*r0) ...
  .^5+216.*((-1)+r0).*r0.*abs(1+(-3).*r0).^7+abs(1+(-3).*r0).^9+( ...
  -9072).*r0.^3.*abs((-1)+r0).^5+216.*r0.*(1+r0).*abs((-1)+r0).^7+( ...
  -3).*abs((-1)+r0).^9+(-9).*sign(1+(-3).*r0)+243.*r0.*sign(1+(-3).* ...
  r0)+(-4428).*r0.^2.*sign(1+(-3).*r0)+48132.*r0.^3.*sign(1+(-3).* ...
  r0)+(-305046).*r0.^4.*sign(1+(-3).*r0)+1160082.*r0.^5.*sign(1+(-3) ...
  .*r0)+(-2660364).*r0.^6.*sign(1+(-3).*r0)+3525444.*r0.^7.*sign(1+( ...
  -3).*r0)+(-2368521).*r0.^8.*sign(1+(-3).*r0)+544563.*r0.^9.*sign( ...
  1+(-3).*r0)+27.*sign(1+(-1).*r0)+(-243).*r0.*sign(1+(-1).*r0)+( ...
  -540).*r0.^2.*sign(1+(-1).*r0)+8316.*r0.^3.*sign(1+(-1).*r0)+( ...
  -28350).*r0.^4.*sign(1+(-1).*r0)+49518.*r0.^5.*sign(1+(-1).*r0)+( ...
  -50652).*r0.^6.*sign(1+(-1).*r0)+30780.*r0.^7.*sign(1+(-1).*r0)+( ...
  -10341).*r0.^8.*sign(1+(-1).*r0)+1485.*r0.^9.*sign(1+(-1).*r0));
    
    c5 = 4 * (f0-f1)^3 * f1 * r0^(3/2*3) * r1^(3/2);
    a5 = (1/1451520).*pi.^(-1).*r0.^(-3).*(r0.*r1).^(-3/2).*(8.*(6879.* ...
  r0.^9+(-2187).*r0.^7.*r1.^2+8505.*r0.^6.*r1.^3+(-5103).*r0.^5.* ...
  r1.^4+567.*r0.^4.*r1.^5+315.*r0.^3.*r1.^6+(-81).*r0.^2.*r1.^7+ ...
  r1.^9)+(-3024).*r0.^3.*r1.*abs((-3).*r0+r1).^5+216.*r0.*(r0+(-1).* ...
  r1).*abs((-3).*r0+r1).^7+abs((-3).*r0+r1).^9+(-9).*((-3).*r0+r1) ...
  .^6.*(83.*r0.^3+(-195).*r0.^2.*r1+9.*r0.*r1.^2+(-1).*r1.^3).*sign( ...
  3.*r0+(-1).*r1));
    
    c6 = -4 * (1+f0) * f1^3 * r1^(3/2*3);
    a6 = (1/1451520).*pi.^(-1).*r1.^(-9/2).*((-16)+1296.*r1.^2+(-9072).* ...
  r1.^4+25200.*r1.^6+53760.*r1.^9+(-3024).*r1.^3.*abs(1+(-3).*r1) ...
  .^5+216.*((-1)+r1).*r1.*abs(1+(-3).*r1).^7+abs(1+(-3).*r1).^9+( ...
  -9072).*r1.^3.*abs((-1)+r1).^5+216.*r1.*(1+r1).*abs((-1)+r1).^7+( ...
  -3).*abs((-1)+r1).^9+(-9).*sign(1+(-3).*r1)+243.*r1.*sign(1+(-3).* ...
  r1)+(-4428).*r1.^2.*sign(1+(-3).*r1)+48132.*r1.^3.*sign(1+(-3).* ...
  r1)+(-305046).*r1.^4.*sign(1+(-3).*r1)+1160082.*r1.^5.*sign(1+(-3) ...
  .*r1)+(-2660364).*r1.^6.*sign(1+(-3).*r1)+3525444.*r1.^7.*sign(1+( ...
  -3).*r1)+(-2368521).*r1.^8.*sign(1+(-3).*r1)+544563.*r1.^9.*sign( ...
  1+(-3).*r1)+27.*sign(1+(-1).*r1)+(-243).*r1.*sign(1+(-1).*r1)+( ...
  -540).*r1.^2.*sign(1+(-1).*r1)+8316.*r1.^3.*sign(1+(-1).*r1)+( ...
  -28350).*r1.^4.*sign(1+(-1).*r1)+49518.*r1.^5.*sign(1+(-1).*r1)+( ...
  -50652).*r1.^6.*sign(1+(-1).*r1)+30780.*r1.^7.*sign(1+(-1).*r1)+( ...
  -10341).*r1.^8.*sign(1+(-1).*r1)+1485.*r1.^9.*sign(1+(-1).*r1));
    
    c7 = 4 * (f0-f1) * f1^3 * r0^(3/2) * r1^(3/2*3);
    a7 = (-1/45360).*pi.^(-1).*r0.^(3/2).*r1.^(-9/2).*(r0.^6+(-81).*r0.^4.* ...
  r1.^2+567.*r0.^2.*r1.^4+(-1575).*r1.^6);
    
    c8 = 6 * (1+f0)^2 * (f0-f1)^2 * r0^3;
    a8 = (2/2835).*pi.^(-1).*r0.^(-3).*(10+3.*r0.^2.*((-27)+35.*r0));
    
    c9 = 6 * (1+f0)^2 * f1^2 * r1^3;
    a9 = (2/2835).*pi.^(-1).*r1.^(-3).*(10+3.*r1.^2.*((-27)+35.*r1));
    
    c10 = 6 * (f0-f1)^2 * f1^2 * r0^3 * r1^3;
    a10 = (2/2835).*pi.^(-1).*r0.^3.*r1.^(-3).*(10.*r0.^3+(-81).*r0.*r1.^2+ ...
  105.*r1.^3);
    
    c11 = 12 * (1+f0)^2 * (f0-f1) * f1 * r0^(3/2) * r1^(3/2);
    a11 = (1/1451520).*pi.^(-1).*(r0.*r1).^(-3/2).*((-8).*(r0.^9+(-189).* ...
  r0.^5.*r1.^2.*((-4)+r1.^2)+(-27).*r0.^7.*(2+r1.^2)+105.*r0.^6.*(( ...
  -2)+r1.^3)+27.*r0.^2.*((-2)+r1).^4.*(6+12.*r1+8.*r1.^2+r1.^3)+(-1) ...
  .*((-2)+r1).^6.*(10+30.*r1+12.*r1.^2+r1.^3)+189.*r0.^4.*(8+10.* ...
  r1.^2+(-10).*r1.^3+r1.^5)+(-105).*r0.^3.*(96+32.*r1.^3+(-18).* ...
  r1.^4+r1.^6))+(-3024).*r0.*r1.*abs(2+r0+(-1).*r1).^5+(-72).*((-1)+ ...
  r0.*((-2)+r1)+2.*r1).*abs(2+r0+(-1).*r1).^7+abs(2+r0+(-1).*r1).^9+ ...
  (-9).*(2+r0+(-1).*r1).^6.*(8+r0.^3+(-3).*r0.^2.*((-2)+r1)+(-68).* ...
  r1+6.*r1.^2+(-1).*r1.^3+r0.*(68+(-124).*r1+3.*r1.^2)).*sign(2+r0+( ...
  -1).*r1));
    
    c12 = -12 * (1+f0) * (f0-f1)^2 * f1 * r0^3 * r1^(3/2);
    a12 = (1/1451520).*pi.^(-1).*r0.^(-3).*r1.^(-3/2).*(1008.*r0.^2.*((-1)+ ...
  r1).^6+144.*r0.^2.*((-1)+r1).^7+(-18).*((-1)+r1).^8+(-2).*((-1)+ ...
  r1).^9+(-6048).*r0.^2.*((-1)+r1).^5.*r1+(-1008).*r0.^2.*((-1)+r1) ...
  .^6.*r1+144.*((-1)+r1).^7.*r1+18.*((-1)+r1).^8.*r1+(-6048).* ...
  r0.^2.*r1.*(1+r1).^5+1008.*r0.^2.*(1+r1).^6+1008.*r0.^2.*r1.*(1+ ...
  r1).^6+(-144).*r0.^2.*(1+r1).^7+144.*r1.*(1+r1).^7+(-18).*(1+r1) ...
  .^8+(-18).*r1.*(1+r1).^8+2.*(1+r1).^9+(-3024).*r0.^2.*r1.*((-1)+ ...
  2.*r0+r1).^5+504.*r0.^2.*((-1)+2.*r0+r1).^6+1008.*r0.*r1.*((-1)+ ...
  2.*r0+r1).^6+(-504).*r0.^2.*r1.*((-1)+2.*r0+r1).^6+(-144).*r0.*(( ...
  -1)+2.*r0+r1).^7+72.*r0.^2.*((-1)+2.*r0+r1).^7+(-72).*r1.*((-1)+ ...
  2.*r0+r1).^7+144.*r0.*r1.*((-1)+2.*r0+r1).^7+9.*((-1)+2.*r0+r1) ...
  .^8+(-18).*r0.*((-1)+2.*r0+r1).^8+(-9).*r1.*((-1)+2.*r0+r1).^8+(( ...
  -1)+2.*r0+r1).^9+(-3024).*r0.^2.*r1.*(1+2.*r0+r1).^5+504.*r0.^2.*( ...
  1+2.*r0+r1).^6+1008.*r0.*r1.*(1+2.*r0+r1).^6+504.*r0.^2.*r1.*(1+ ...
  2.*r0+r1).^6+(-144).*r0.*(1+2.*r0+r1).^7+(-72).*r0.^2.*(1+2.*r0+ ...
  r1).^7+(-72).*r1.*(1+2.*r0+r1).^7+(-144).*r0.*r1.*(1+2.*r0+r1).^7+ ...
  9.*(1+2.*r0+r1).^8+18.*r0.*(1+2.*r0+r1).^8+9.*r1.*(1+2.*r0+r1).^8+ ...
  (-1).*(1+2.*r0+r1).^9+(-3024).*r0.^2.*r1.*abs((-1)+(-2).*r0+r1) ...
  .^5+144.*r0.*abs((-1)+(-2).*r0+r1).^7+72.*r0.^2.*abs((-1)+(-2).* ...
  r0+r1).^7+(-72).*r1.*abs((-1)+(-2).*r0+r1).^7+(-144).*r0.*r1.*abs( ...
  (-1)+(-2).*r0+r1).^7+abs((-1)+(-2).*r0+r1).^9+(-3024).*r0.^2.*r1.* ...
  abs(1+(-2).*r0+r1).^5+144.*r0.*abs(1+(-2).*r0+r1).^7+(-72).* ...
  r0.^2.*abs(1+(-2).*r0+r1).^7+(-72).*r1.*abs(1+(-2).*r0+r1).^7+ ...
  144.*r0.*r1.*abs(1+(-2).*r0+r1).^7+(-1).*abs(1+(-2).*r0+r1).^9+( ...
  -504).*r0.^2.*((-1)+(-2).*r0+r1).^6.*sign(1+2.*r0+(-1).*r1)+1008.* ...
  r0.*r1.*((-1)+(-2).*r0+r1).^6.*sign(1+2.*r0+(-1).*r1)+504.*r0.^2.* ...
  r1.*((-1)+(-2).*r0+r1).^6.*sign(1+2.*r0+(-1).*r1)+(-9).*((-1)+(-2) ...
  .*r0+r1).^8.*sign(1+2.*r0+(-1).*r1)+(-18).*r0.*((-1)+(-2).*r0+r1) ...
  .^8.*sign(1+2.*r0+(-1).*r1)+9.*r1.*((-1)+(-2).*r0+r1).^8.*sign(1+ ...
  2.*r0+(-1).*r1)+504.*r0.^2.*(1+(-2).*r0+r1).^6.*sign(1+(-2).*r0+ ...
  r1)+(-1008).*r0.*r1.*(1+(-2).*r0+r1).^6.*sign(1+(-2).*r0+r1)+504.* ...
  r0.^2.*r1.*(1+(-2).*r0+r1).^6.*sign(1+(-2).*r0+r1)+9.*(1+(-2).*r0+ ...
  r1).^8.*sign(1+(-2).*r0+r1)+(-18).*r0.*(1+(-2).*r0+r1).^8.*sign(1+ ...
  (-2).*r0+r1)+9.*r1.*(1+(-2).*r0+r1).^8.*sign(1+(-2).*r0+r1));
    
    c13 = -12 * (1+f0) * (f0-f1) * f1^2 * r0^(3/2) * r1^3;
    a13 = (1/45360).*pi.^(-1).*r0.^(-3/2).*r1.^(-3).*((-1)+54.*r1.^2+3.* ...
  r0.^2.*(9+(-252).*r1.^2+7.*r0.*(5.*r0.^3+160.*r1.^3+r0.*(9+(-90).* ...
  r1.^2))));
    
    
    b4_1 = c * (c1*a1+c2*a2+c3*a3+c4*a4+c5*a5+c6*a6+c7*a7+c8*a8 ...
        +c9*a9+c10*a10+c11*a11+c12*a12+c13*a13);
    
end
