function b2 = second_virial_d(coeffs, d)
%second virial coefficient
%  d - dimensionality, coeffs=[\sigma,\lambda0,\lambda1,f0,f1]
    sigma=coeffs(1);
    f0=coeffs(4);
    f1=coeffs(5);
    
    c = 2 * pi^(d/2) / gamma(d/2);
    b2=c/(2*d) * sigma^d * (1+f0-(f0-f1)*coeffs(2)^d-f1*coeffs(3)^d);
end